/* PROJECTS SECTION */
.projects-section {
    display: grid;
    grid-template-columns: repeat(auto-fill, 1fr);
    /*grid-template-rows: repeat(auto-fill, minmax(20%, 1fr));*/
    gap: 2rem;
    padding: 2rem;
    text-align: left;
    animation: fadeIn 0.5s ease-in-out;
    place-content: center;
}

@keyframes fadeIn {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

.project-header {
    justify-content: space-between;
    padding: 1rem;
    text-align: center;
    margin-bottom: 1rem;
}

.project-card {
    background-color: var(--card-bg);
    border-radius: 8px;
    padding: 1rem;
    overflow: hidden;
    box-shadow: 0 3px 10px rgba(0,0,0,0.1);
    transition: var(--transition);
    text-size-adjust: 100%;
}

.project-card:hover {
    transform: translateY(-7px);
    box-shadow: 0 5px 20px rgba(95, 95, 95, 0.87);
}

.ADeskFrame {
    max-width: 800px;
    max-height: 600px;
}
.project-img {
    width: 100%;
    height: 180px;
    object-fit: cover;
    background-color: #eee;
}

.project-body {
    padding: 1.5rem;
}

.project-title {
    font-size: 1.2rem;
    margin-bottom: 0.5rem;
    color: var(--primary-color);
}

.project-tags {
    display: flex;
    flex-wrap: wrap;
    gap: 0.5rem;
    margin-bottom: 1rem;
}

.project-tag {
    background-color: #e0e0e0;
    color: #555;
    padding: 0.3rem 0.8rem;
    border-radius: 20px;
    font-size: 0.8rem;
}

.project-description {
    margin-bottom: 1.5rem;
    line-height: 1.5;
    color: #555;
}

.project-links {
    display: flex;
    gap: 1rem;
}

.project-link {
    color: var(--secondary-color);
    text-decoration: none;
    font-weight: 500;
    transition: var(--transition);
}

.project-link:hover {
    color: var(--primary-color);
}